Last modified: 2013-04-22 16:17:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36915 - Add API action to get UploadWizard campaign info
Add API action to get UploadWizard campaign info
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Brion Vibber
:
Depends on:
Blocks: noncoreapi
  Show dependency treegraph
 
Reported: 2012-05-16 20:52 UTC by Brion Vibber
Modified: 2013-04-22 16:17 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2012-05-16 20:52:22 UTC
There's an API action for deleting campaigns, but none for getting campaign information. This is a problem for offsite uploading tools such as the in-progress Wiki Loves Monuments mobile app, which needs to get some of that info to fill out upload info properly.

Data is organized in key-value pairs per campaign (identified by a string key name, and an internal numeric key).

Probably give the string name and optionally a subset of field names to fetch, and return the key-value pairs.
Comment 1 Brion Vibber 2012-05-16 22:18:24 UTC
Provisional in gerrit, Roan's declared it "not too insane":

https://gerrit.wikimedia.org/r/#/c/7832/
Comment 2 db [inactive,noenotif] 2012-11-28 14:00:38 UTC
(In reply to comment #1)
> https://gerrit.wikimedia.org/r/#/c/7832/

Status Merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links